---
title: corenetworks_dns
type: docs
---

[![Source Code](https://img.shields.io/badge/gitea-source%20code-blue?logo=gitea&logoColor=white)](https://gitea.rknet.org/ansible/xoxys.corenetworks_dns) [![Build Status](https://img.shields.io/drone/build/ansible/xoxys.corenetworks_dns?logo=drone&server=https%3A%2F%2Fdrone.rknet.org)](https://drone.rknet.org/ansible/xoxys.corenetworks_dns) [![License: MIT](https://img.shields.io/badge/License-MIT-blue.svg?label=license)](https://gitea.rknet.org/ansible/xoxys.corenetworks_dns/src/branch/master/LICENSE) 

Manage DNS records on core networks

* [Default Variables](#default-variables)
  * [corenetworks_dns_api_password](#corenetworks_dns_api_password)
  * [corenetworks_dns_api_user](#corenetworks_dns_api_user)
  * [corenetworks_dns_default_zone](#corenetworks_dns_default_zone)
  * [corenetworks_dns_delegate_to](#corenetworks_dns_delegate_to)
  * [corenetworks_dns_pip](#corenetworks_dns_pip)
  * [corenetworks_dns_python_packages](#corenetworks_dns_python_packages)
  * [corenetworks_dns_records](#corenetworks_dns_records)
  * [corenetworks_dns_records_extra](#corenetworks_dns_records_extra)
  * [corenetworks_dns_token_run_once](#corenetworks_dns_token_run_once)
* [Dependencies](#dependencies)

---

## Default Variables

### corenetworks_dns_api_password

Account API password.

#### Default value

```YAML
corenetworks_dns_api_password: _unset_
```

### corenetworks_dns_api_user

Account API username. If omitted, the environment variables `CN_API_USER` and `CN_API_PASSWORD` will be used.

#### Default value

```YAML
corenetworks_dns_api_user: _unset_
```

### corenetworks_dns_default_zone

#### Default value

```YAML
corenetworks_dns_default_zone: _unset_
```

#### Example usage

```YAML
corenetworks_dns_records:
  - record: test
    type: A
    value: 127.0.0.1
    zone: example.com
    solo: no
    state: present
```

### corenetworks_dns_delegate_to

#### Default value

```YAML
corenetworks_dns_delegate_to: localhost
```

### corenetworks_dns_pip

#### Default value

```YAML
corenetworks_dns_pip: pip{{ ansible_python.version.major }}
```

### corenetworks_dns_python_packages

#### Default value

```YAML
corenetworks_dns_python_packages:
  - corenetworks
```

### corenetworks_dns_records

#### Default value

```YAML
corenetworks_dns_records: []
```

### corenetworks_dns_records_extra

#### Default value

```YAML
corenetworks_dns_records_extra: []
```

### corenetworks_dns_token_run_once

#### Default value

```YAML
corenetworks_dns_token_run_once: false
```

## Dependencies

None.
